apiVersion: instancetype.kubevirt.io/v1beta1
kind: VirtualMachineClusterPreference
metadata:
  annotations:
    iconClass: icon-windows
    kubevirt.io/generation: "3"
    kubevirt.io/install-strategy-identifier: 5dc642dcafc20b388aac8893d36db44393e586b9
    kubevirt.io/install-strategy-registry: ""
    kubevirt.io/install-strategy-version: sha256:031a34ff7b451f8588ed2960c576d6a835a749de7c168e88eaec45d180be6a21
    openshift.io/display-name: Microsoft Windows 10
    openshift.io/documentation-url: https://access.redhat.com
    openshift.io/provider-display-name: Red Hat
    openshift.io/support-url: https://access.redhat.com
    tags: hidden,kubevirt,windows
  creationTimestamp: "2025-10-29T11:55:06Z"
  generation: 1
  labels:
    app.kubernetes.io/component: compute
    app.kubernetes.io/managed-by: virt-operator
    app.kubernetes.io/part-of: hyperconverged-cluster
    app.kubernetes.io/version: 4.19.12
    instancetype.kubevirt.io/common-instancetypes-version: 1.3.1-41-ga46e70a1
    instancetype.kubevirt.io/os-type: windows
    instancetype.kubevirt.io/vendor: redhat.com
  name: windows.10
  resourceVersion: "2234626"
  uid: 1408a9cb-1a25-4027-872f-bb96ec71a123
spec:
  annotations:
    vm.kubevirt.io/os: windows
  clock:
    preferredClockOffset:
      utc: {}
    preferredTimer:
      hpet:
        present: false
      hyperv: {}
      pit:
        tickPolicy: delay
      rtc:
        tickPolicy: catchup
  cpu:
    preferredCPUTopology: sockets
  devices:
    preferredAutoattachInputDevice: true
    preferredDiskBus: sata
    preferredInterfaceModel: e1000e
  features:
    preferredAcpi: {}
    preferredApic: {}
    preferredHyperv:
      frequencies: {}
      ipi: {}
      reenlightenment: {}
      relaxed: {}
      reset: {}
      runtime: {}
      spinlocks:
        spinlocks: 8191
      synic: {}
      synictimer:
        direct: {}
      tlbflush: {}
      vapic: {}
      vpindex: {}
    preferredSmm: {}
  firmware:
    preferredEfi:
      secureBoot: true
  preferredTerminationGracePeriodSeconds: 3600
  requirements:
    cpu:
      guest: 1
    memory:
      guest: 2Gi
